# Plant Monitoring and Dashboard

A SparkFun ```Thing Plus ESP32 WROOM``` based plant monitor and dashboard. This hardware build leverages the ```esphome``` platform to monitor up to 8 plants with a Waveshare 2.9" e-ink display to show status information.

Long-term the dashboard will also support monitoring remote plants that are not directly tied into the main board via MQTT subscriptions (see ```Future Mini Build``` for hardware ideas).

The sensors and data are tied back to a home-assistant.io deployment using MQTT for tracking information inside Home Assistant. The local dashboard is meant to help remind the user (me) that plants need watering when close to the plants themselves.

Please note: *this is an indoor build*. Despite using parts that are safe for use outdoors it's assumed this build will live indoors. The e-ink display is *not* rated for outdoor use. Other components may not be viable for outdoor use as well.

## Hardware / Bill Of Materials

| Quantity | Hardware                                | Product Page                                                                              |
| -------- | --------------------------------------- | ----------------------------------------------------------------------------------------- |
| 1        | SparkFun Thing Plus - ESP32 WROOM       | https://www.sparkfun.com/products/14689                                                   |
| 1        | SparkFun Qwiic Mux Breakout - 8 Channel | https://www.sparkfun.com/products/14685                                                   |
| 8        | SparkFun Qwiic Adapter                  | https://www.sparkfun.com/products/14495                                                   |
| 1        | Qwiic Cable - 50mm                      | https://www.sparkfun.com/products/14426                                                   |
| 8        | Qwiic Cable - 500mm                     | https://www.sparkfun.com/products/14429                                                   |
| 1        | Waveshare 2.9" e-ink display            | https://www.waveshare.com/product/modules/oleds-lcds/e-paper/2.9inch-e-paper-module.htm   |
| 1        | 18650 Battery Holder                    | https://www.sparkfun.com/products/12899                                                   |
| 15       | 4 pin 2.54mm pitch screw terminals      | N/A                                                                                       |
| 1        | DF Robot Solar Charger (MQTT)           | https://www.dfrobot.com/product-1712.html                                                 |
| 1        | Adafruit Large Solar Panel              | https://www.adafruit.com/product/500                                                      |
| 2        | SparkFun MOSTFET Power Controller       | https://www.sparkfun.com/products/11214                                                   |

## Software

- [https://esphome.io/components/ota.html](https://esphome.io/components/ota.html)
  - See deep sleep docs for a way to publish via mqtt to keep alive for updates
  - [https://community.home-assistant.io/t/hadashboard-publishing-an-mqtt-message/58614](https://community.home-assistant.io/t/hadashboard-publishing-an-mqtt-message/58614)
  - [https://community.home-assistant.io/t/mqtt-publish-in-scripts-yaml/29776](https://community.home-assistant.io/t/mqtt-publish-in-scripts-yaml/29776)
- [https://thenounproject.com/term/update/452099/](https://thenounproject.com/term/update/452099/)
- [https://thenounproject.com/term/download/356100/](https://thenounproject.com/term/download/356100/)
- [https://github.com/ageir/chirp-rpi](https://github.com/ageir/chirp-rpi)
- [https://github.com/Miceuz/i2c-moisture-sensor/blob/master/README.md](https://github.com/Miceuz/i2c-moisture-sensor/blob/master/README.md)
- [https://github.com/Apollon77/I2CSoilMoistureSensor](https://github.com/Apollon77/I2CSoilMoistureSensor)

## Future Hardware

- [https://www.adafruit.com/product/3931](https://www.adafruit.com/product/3931)
- [https://www.tindie.com/products/miceuz/i2c-soil-moisture-sensor/](https://www.tindie.com/products/miceuz/i2c-soil-moisture-sensor/)
