# Plant Monitoring

An Adafruit ```HUZZAH32``` based plant monitor. This hardware build leverages the ```esphome``` platform to monitor a plant and transmit the information to an MQTT server. The sensors and data are tied back to a home-assistant.io deployment using MQTT for tracking information inside Home Assistant.

Please note: *this is a SINGLE plant build. It can be adapted for >1 plant.*

## Hardware / Bill Of Materials

| Quantity | Hardware                         | Product Page                            |
| -------- | -------------------------------- | --------------------------------------- |
| 1        | Adafruit HUZZAH32                | https://www.adafruit.com/product/4172   |
| 1        | Adafruit STEMMA Soil Sensor      | https://www.adafruit.com/product/4026   |
| 1        | DS18B20 temperature sensor       | https://www.adafruit.com/product/381    |
| 8        | JST 4 pin STEMMA Wire            | https://www.adafruit.com/product/3955   |
| 1        | Waterproof 3xAA Battery Holder   | https://www.adafruit.com/product/771    |
| 1        | SparkFun MOSFET Power Controller | https://www.sparkfun.com/products/11214 |

## Future Software

- Alerts when not reporting data (likely dead batteries / similar)
  - Add 'expire after' for the signal check in HA (4 hours reasonable)
  - If it's expired throw an alert stating no data from node for x amount of time

## Future Hardware

- [https://milonetech.com/products/standard-etape-assembly](https://milonetech.com/products/standard-etape-assembly)
